# Uses of Enum Class
com.google.protobuf.Descriptors.FileDescriptor.Syntax

Packages that use Descriptors.FileDescriptor.Syntax
Package
Description
com.google.protobuf

## Uses of Descriptors.FileDescriptor.Syntax in com.google.protobuf

Methods in com.google.protobuf that return Descriptors.FileDescriptor.Syntax
Modifier and Type
Method
Description
`Descriptors.FileDescriptor.Syntax`
Descriptors.FileDescriptor.`getSyntax()`
Get the syntax of the .proto file.
`static Descriptors.FileDescriptor.Syntax`
Descriptors.FileDescriptor.Syntax.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Descriptors.FileDescriptor.Syntax[]`
Descriptors.FileDescriptor.Syntax.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.